<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:dubbo="http://code.alibabatech.com/schema/dubbo"
       xmlns:context="http://www.springframework.org/schema/context"
       xsi:schemaLocation="http://www.springframework.org/schema/beans 
       http://www.springframework.org/schema/beans/spring-beans-2.5.xsd
       http://www.springframework.org/schema/context
       http://www.springframework.org/schema/context/spring-context.xsd
       http://code.alibabatech.com/schema/dubbo http://code.alibabatech.com/schema/dubbo/dubbo.xsd">

    <context:component-scan base-package="com.gic.haoban" />
	<!-- 应用名称 -->
    <dubbo:application name="haoban-manage3-operation-web"/>

    <dubbo:protocol name="dubbo" port="300112"/>

	<dubbo:reference interface="com.gic.haoban.manage.api.service.StaffApiService" id="staffApiService"/>
    <dubbo:reference interface="com.gic.haoban.manage.api.service.TestApiService" id="testApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.StaffClerkRelationApiService" id="staffClerkRelationApiService"/>
    <dubbo:reference interface="com.gic.haoban.manage.api.service.WxEnterpriseRelatedApiService" id="wxEnterpriseRelatedApiService" />
	<dubbo:reference interface="com.gic.haoban.manage.api.service.ApplicationApiService" id="applicationApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.WxEnterpriseApiService" id="wxEnterpriseApiService"/>
	<dubbo:reference interface="com.gic.enterprise.api.service.EnterpriseService" id="enterpriseService"/>
	<dubbo:reference interface="com.gic.enterprise.api.service.StoreService" id="storeService"/>
	<dubbo:reference interface="com.gic.enterprise.api.service.DepartmentService" id="departmentService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.DepartmentApiService" id="departmentApiService"/>
	<dubbo:reference interface="com.gic.enterprise.api.service.StoreGroupService" id="storeGroupService"/>
	<dubbo:reference interface="com.gic.clerk.api.service.ClerkService" id="clerkService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.StaffDepartmentRelatedApiService" id="staffDepartmentRelatedApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.DictApiService" id="dictApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.HelpApiService" id="helpApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.MaidianDictApiService" id="maidianDictApiService"/>

	<dubbo:reference interface="com.gic.haoban.manage.api.service.MemberUnionidRelatedApiService"
					 id="memberUnionidRelatedApiService"/>
	<dubbo:reference interface="com.gic.haoban.task.manage.api.service.IMarketClueTaskApiService"
					 id="iMarketClueTaskApiService"/>
	<dubbo:reference interface="com.gic.haoban.task.manage.api.service.IMarketTaskMemberApiService"
					 id="iMarketTaskMemberApiService"/>
	
	<dubbo:reference id="applicationTemplateApiService" interface="com.gic.haoban.manage.api.service.ApplicationTemplateApiService" timeout="10000"/>

	<dubbo:reference id="taskQuartzCallbackApiService"
					 interface="com.gic.haoban.task.manage.api.service.TaskQuartzCallbackApiService" timeout="10000"/>

	<dubbo:reference interface="com.gic.haoban.manage.api.service.HandoverOperationApiService"
					 id="handoverOperationApiService"/>

	<dubbo:reference interface="com.gic.haoban.manage.api.service.DealSyncOperationApiService"
					 id="dealSyncOperationApiService"/>

	<dubbo:reference interface="com.gic.sharing.core.service.api.service.MqApiService"
					 id="mqApiService"/>

	<dubbo:reference interface="com.gic.haoban.app.customer.service.api.service.QywxTagSyncApiService"
					 id="qywxTagSyncApiService"/>

	<dubbo:reference interface="com.gic.member.tag.api.service.MemberTagImportDealService"
					 id="memberTagImportDealService"/>

	<dubbo:reference interface="com.gic.haoban.manage.api.service.ExternalClerkRelatedApiService"
					 id="externalClerkRelatedApiService" timeout="30000"/>
	<dubbo:reference interface="com.gic.wechat.api.service.qywx.QywxUserApiService" id="qywxUserApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.QywxErrorLogApiService" id="qywxErrorLogApiService"/>

	<dubbo:reference interface="com.gic.haoban.manage.api.service.fee.HaobanQywxFeeApiService" id="haobanQywxFeeApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.role.HaobanRoleApiService" id="haobanRoleApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.role.HaobanMenuApiService" id="haobanMenuApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.licence.LicenceOrderApiService" id="licenceOrderApiService"/>
</beans>
